<#--
	资讯管理界面
	lijy
-->
<#include "/com/edge/subsystem/project/web/_entpclientoem.ftl" >
<#-- head 定义  -->
<#macro head >
<link rel="stylesheet" href="${ctx}/resources/js/kindeditor/themes/default/default.css" />
<script charset="utf-8" src="${ctx}/resources/js/kindeditor/kindeditor-min.js"></script>
<script charset="utf-8" src="${ctx}/resources/js/kindeditor/lang/zh_CN.js"></script>
<script>
	var editor;
	KindEditor.ready(function(K) {
		editor = K.create('textarea[name="content"]', {
			resizeType : 1,
			allowPreviewEmoticons : false,
			allowImageUpload : true,
			items : [
				'fontname', 'fontsize', '|', 'forecolor', 'hilitecolor', 'bold', 'italic', 'underline',
				'removeformat', '|', 'justifyleft', 'justifycenter', 'justifyright', 'insertorderedlist',
				'insertunorderedlist', '|', 'emoticons', 'image', 'link'],
		    uploadJson : '${ctx}/resources/js/kindeditor/jsp/upload_json.jsp',
			fileManagerJson :  '${ctx}/resources/js/kindeditor/jsp/file_manager_json.jsp',
			allowFileManager : true,
			urlType:'absolute'	
		});
	});
</script>
</#macro>
  <#macro popbody >
	  <#-- 工具条  -->
	 <div id="toolbar">
		<div class="right">
			<a href="javascript:saveImformation();" ><span><em class="ico_save">保存</em></span></a> 
		</div>
     </div> 
      <div style="overflow-x:hidden;overflow-y:auto;height:500px;" id="editDiv">
		 	<form id="postForm" method="POST" >
				<input type="hidden" id="id" name="id" value="${(optImformation.id)!}" >
				<input type="hidden" id="typeId" name="imformationType.id" value="${(optImformation.imformationType.id)!}" >
			    <div class="Table1" >
				   <table border="0" cellspacing="0" cellpadding="0">
				   	  <tr>
			             <th width="100px">排序号</th>
			             <td>
			             	<input id="orderNum" name="orderNum" value="${(optImformation.orderNum)!}" type="text" class="style_input" />
                         </td>
			          </tr>
			          <tr>
			             <th width="100px">标题<font color="red">*</font></th>
			             <td>
			             	<input id="title" name="title" value="${(optImformation.title)!}" type="text" class="style_input" />
                         </td>
			          </tr>
			          <tr>
			             <th width="100px">SEO关键字<font color="red">*</font></th>
			             <td>
			             	<textarea class="style_textarea" style="height:35Px" id="keyword" name="keyword">${(optImformation.keyword)!}</textarea>
                         </td>
			          </tr>
			          <tr>
			             <th>内容</th>
			             <td colspan="3">
			             	   <textarea class="style_textarea" style="height:350Px" id="wxContentInfo_content" name="content">${(optImformation.content)!}</textarea>
			             </td>
			          </tr>
			       </table>
				</div>
	        </form>
	  </div>
  </#macro>
  
  <#macro javascript >
    <@con_date.my_date id="test" showimg=false />
    
  	<#-- 输入信息验证 -->
	<@con_validate.validates>
		<@con_validate.input_validate id="title" message="请填写标题" expression="null" />
		<@con_validate.input_validate id="wxContentInfo_content" message="请填写内容" expression="null" />
	</@con_validate.validates>
	
		<@con_window.dh_window dhwin="mywindow" >
		<#-- 企业弹出窗口 -->
		<@con_window.window_def method="openEntpSelectWin(url)" modal=true name="windowA" showhead=false height="350" width="650">
	  	    windowA.attachURL(url);
	    </@con_window.window_def>

	    <#-- 关闭窗口 -->
	    function closeWindow()
	    {
	       if(mywindow.window("windowA") != null) mywindow.window("windowA").close();
	    }
	    
	</@con_window.dh_window>
	
	<#-- 保存资讯管理信息 -->
	<@con_ajax.ajax method="postSaveImformation()" url="${ctx}/common/imformation/saveImformation" form="postForm" showProcessBar="true" >
		<@con_ajax.ajax_success>
			if(data.state == true)
			{
				alert("保存资讯管理成功");
				<#-- 刷新资讯管理列表  -->
				parent.window.reloadList();
				parent.closeEditWindow();
			}
			else
			{
				alert(data.msg);
			}
		</@con_ajax.ajax_success>
		<@con_ajax.ajax_banding entity="optImformation_" data="data.optImformation" />
	</@con_ajax.ajax>


		  	
  	<#-- 保存资讯管理 -->
	function saveImformation(){
	    editor.sync();
		var errorInfo = nst_validate();
		if(errorInfo.length > 0 ){
			alert(errorInfo[0].message);
			return;
		}
		postSaveImformation();
	}


	<#--验证正数-->
	function checkPlusNumber(obj){
	   var re = /^\d+(\.\d+)?$/;
       if (!re.test(obj.value)){
	        obj.focus();
	        return false;
	   }else{
	      return true;
	   }
	}
	

	$(document).ready(function () {
	    document.getElementById("editDiv").style.height= $(window).height()-50+"PX";
	    //document.getElementById("wxContentInfo_content").style.height= $(window).height()-50+"PX";
	});
  </#macro>
  
    <#-- 页脚定义 -->
<#macro bottom>
</#macro>