<#--
	资讯管理页面
	lijy	
-->
<#include "/com/edge/subsystem/common/web/_entpclientoem.ftl" >

<#macro cbody >
  <body scroll="no" style="overflow-x: hidden; overflow-y: hidden;margin-right: 2px; margin-bottom: -1px;" >
  
    <#-- 级别 -->
  <div style="width:100%;"  id="a">
    <@con_tree.dh_tree 
    	id="dept_tree" 
    	url="${ctx}/common/imformation/loadTypeTree" 
    	nodeurl="${ctx}/common/imformation/childType"
    	autoload=true 
    	showProcessBar="false" 
    	onclick="loadImformationList(id)"
    	/>
    <br class="clearfloat">
  </div>
  
  <div style="width:100%;" id="b">
	<#-- 工具条  -->
	<div id="toolbar">
		<div class="left title lf_10">
		    资讯管理
		</div>
		<div class="right">
			<a href="javascript:addImformation();" ><span><em class="ico_add">增加资讯</em></span></a>
			<a href="javascript:batchDelImformation();" ><span><em class="ico_delete">批量删除</em></span></a> 
		</div>
    </div> 
    
    <div > 
          <#-- 列表 -->
          <div style="width:100%;margin-left:-10px;margin-top:-10px;" class="ingroup">
          	<form id="Imformation_form" method="post" >
          	    <input type="hidden" id="level_id" name="levelId" value="" />
				<div class="poptoolbar">
					<lable>标题：<input name="title" type="text" style="width:130px" /></lable>
					<lable>内容：<input name="content" type="text" style="width:130px" /></lable>
					<input type="button" value="查询" onclick="query()" >
					<input type="button" value="清空" onclick="cleanQuery()" >
				</div>
			</form>
			<#--<h1>资讯信息</h1>-->
			 <div class="t_line l_line" >
				 <@con_table.dh_table listId="ImformationList" 
					listAction="${ctx}/common/imformation/imformationList"
					columnTitle=",排序号,标题,发布时间,操作,#id"
					columnWidth="5,8,*,15,20"
					columnType="ch,ro,ro,ro,ro,ro,ro,ro,ro"
					columnSorting="na,na,na,na,na,na,na,na"
					columnAlign="center,center,center,center,center,center,center,center"
					columnDataId="@0,orderNum,title,pubTime,#<a href=javascript:openEditImformation('{id}')>【编辑】</a>  |  <a href=javascript:delImformation('{id}')>【删除】</a>,id"
					autoQuery=true
					limit=20
					dehight=40
					showProcessBar="true"
					showPagebar=true
					formId="Imformation_form"
				 />
			 </div>
			<br class="clearfloat">
		  </div>
		  </div>
		<br class="clearfloat">
	</div>
</#macro>


<#macro javascript >
	 <#-- 左右布局-->
	<@con_layout.dh_layout type="2U">
		<@con_layout.panel id="a" title="资讯类别" obj="a" width="230" />
		<@con_layout.panel id="b" title="资讯列表" obj="b" />
	</@con_layout.dh_layout>
	<@con_window.dh_window dhwin="mywindow" >
		<#-- 增加资讯窗口 -->
		<@con_window.window_def method="openAddImformation(levelId)" modal=true name="addwidow" title="增加资讯" fullscreen=true>
		    addwidow.attachURL("${ctx}/common/imformation/editImformation?typeId="+levelId);
		</@con_window.window_def>
	  
	  	<#-- 修改资讯窗口 -->
	    <@con_window.window_def method="openEditImformation(id)" modal=true name="editwindow"  title="修改资讯" fullscreen=true>
	    	editwindow.attachURL("${ctx}/common/imformation/editImformation?id="+id);
	    </@con_window.window_def>
	   
	   		<#-- 导入客户信息窗口 -->
	    <@con_window.window_def method="importImformationAjax(levelId)" modal=true name="importwindow" title="导入手续费配置" height="250" >
		    importwindow.attachURL("${ctx}/channel/Imformation/opentImportImformationPage?levelId="+levelId);
		</@con_window.window_def>
		 
	    <#-- 关闭窗口 -->
	    function closeWindow()
	    {
	       if(mywindow.window("windowA") != null) mywindow.window("windowA").close();
	       if(mywindow.window("importwindow") != null) mywindow.window("importwindow").close();
	    }
	
		    <#-- 关闭窗口 -->
	    function closeEditWindow()
	    {
	       if(mywindow.window("editwindow") != null) mywindow.window("editwindow").close();
	       if(mywindow.window("addwidow") != null) mywindow.window("addwidow").close();
	    }    
	</@con_window.dh_window>
	 
	<#-- 删除资讯信息 -->
	<@con_ajax.ajax method="postDeleteImformation(data)" url="${ctx}/common/imformation/deleteImformation" showProcessBar="true" >
		<@con_ajax.ajax_success>
			if(data.state){
				alert("删除资讯成功!");
				<#-- 刷新资讯列表  -->
				ImformationList_loadListData();
			}
			else
			{
				alert("删除资讯失败!");
			}
			
		</@con_ajax.ajax_success>
	</@con_ajax.ajax>
	
	<#-- 添加资讯 -->
	function addImformation(){
	   var levelId=$("#level_id")[0].value;
	    if(!levelId||levelId=="-1"){
	       alert("请先选择收单级别!");
	       return;
	   }
	  openAddImformation(levelId);
	}
	
	<#-- 批量导入客户信息页面 -->
	function importImformation(){
	   var levelId=$("#level_id")[0].value;
	    if(!levelId||levelId=="-1"){
	       alert("请先选择收单级别!");
	       return;
	   }
	   importImformationAjax(levelId);
	}
	
    function exportImformation(){
	  $("#Imformation_form")[0].action="${ctx}/channel/Imformation/exportImformation";
	  $("#Imformation_form")[0].submit();
	}
	
	<#-- 删除资讯 -->
	function delImformation(id)
	{
		var msg = "确定要删除当前选中的资讯吗? ";
		if(confirm(msg))
		{
			var par = "ids=" + id ;
			postDeleteImformation(par);
		}
	}
	
	
	<#--批量删除-->
	function batchDelImformation(){
		//获取被选中的行的某列的值,多行返回以","分隔
		var entpCodeStr = ImformationList_getSelectedRowData(4);
		if(!entpCodeStr){
		  alert("请选择要删除的资讯!");
		  return;
		}
		
		if(confirm("确定要删除选中的资讯吗?"))
		{
			var par = "ids=" + entpCodeStr ;
			postDeleteImformation(par);
		}
	}
	
	<#-- 加载客户信息列表 -->
	function loadImformationList(id){
	    if(id=='0'){
	       id="";
	    }
		$("#level_id").val(id);
		ImformationList_loadListData();
	}
	
	<#-- 查询  -->
	function query(){
	  ImformationList_loadListData();
	}
	function cleanQuery(){
	  $("#Imformation_form")[0].reset();
	  $("#userId").val("");
	}
	
	function reloadList(){
		ImformationList_loadListData("goto");
	}
</#macro>