<#-- 
	描述：标签页控件
	作者：gaolk 
	版本：v1.0 
-->

<#--
	id: 标签ID
	width  : 宽
	height : 高
	type : 标签空间标题位置
	skin : 皮肤
	margin : 各Tab之间的间距
	offset : Tab头部距左边的距离
-->

<#-- tabbar 使用例子


-->

<#macro tabbar id width="100%" height="100%" type="top"  tabHeight="" skin="" margin="" offset="" autoHeight=true >
	<#assign page_js="dh_tabbar">
	<#-- 标签容器对象 -->
	<#assign _tabbar_id = id >
	<#-- 标签页容器 -->
	<div id="${id}_div" style="margin-top:5px;width:${width};height:${height}"></div>	
	<@compress single_line=false>
			<#-- 设置标签页属性 ${id}.enableAutoSize(true,true);   -->
			<script language="javascript">
				<#-- 标签对象 -->
				var ${id} ;
				$(document).ready(function(){
					<#if tabHeight =="">
						${id} =new dhtmlXTabBar("${id}_div","${type}");
					<#else>
						${id} =new dhtmlXTabBar("${id}_div","${type}","${tabHeight}");
					</#if> 
				<#if skin != "">${id}.setSkin("${skin}");</#if>
				<#if margin != "">${id}.setMargin("${margin}");</#if>
				
				<#if offset != "">${id}.setOffset("${offset}");</#if>
	            ${id}.setImagePath("${ctx}/resources/js/dhtmlx/dhtmlxTabbar/imgs/");
				${id}.setHrefMode("iframes-on-demand");
				
				<#if autoHeight == true > 
					$("#${id}_div").height($(window).height()-$("#${id}_div").offset().top) ;
				 </#if>
				
				<#nested>
				});
				
				
			</script>
	</@compress>
</#macro>


<#-- 
	标签页 
	id  : 标签ID
	title : 标签标题
	width : 宽
	url : 标签页链接地址
-->
<#macro tabpage id title="" width="100%" url="" active=false >
	${_tabbar_id}.addTab("${id}" , "${title}" , "${width}");
	<#-- 设置链接地址 -->
	${_tabbar_id}.setContentHref("${id}","${url}");
	<#if active == true >${_tabbar_id}.setTabActive("${id}");</#if>
	<#nested>
</#macro>