<#-- 
	描述：dhtml 列表分页组件
	作者：gaolk 
	版本：v2.0
	日期: 2011年06月26日 
-->
<#-- 列表分页组件 定义 
	listId ： 列表ID
	style : 列表容器样式
	limit  : 每页显示行数 ， 默认20行
	formId : 需要和列表一起提交的表单ID
	listAction ： 获取数据的Action地址
	showPagebar : 是否显示分页栏 , 默认显示
	columnTitle : 列表标题
	columnWidth ： 列表宽度
	columnAlign : 列表对其方式
	columnType  : 列的类型
	columnSorting : 列的排序规则
	columnDataId  : 定义数据绑定属性ID , 可以是属性名称或者是数字 ， 如果已@开头则直接返回属性名称
	autoQuery : 是否自动查询 ， 默认 是
	autoHeight : 自动高度 , 默认 true
	height : 列表高度 , 默认400px
	width  : 列表宽度  , 默认100%
	build  : 是否允许服务端构造列表组件 , 默认 false
	showProcessBar : 是否显示进度条 , 默认 false
	allCheckEvent : 点击全选时执行的事件 , 默认空
	percentWidth : 是否使用百分比设置列宽  默认true 
	loadSuccess : 装载成功后执行的回调函数
	buttonbar : 工具条按钮JSON对象,格式如：buttonbar="[{onclick : 'onsave()' , icon : 'ico_scriptSave' },{onclick : 'onexcell()' , icon : 'ico_excel' }]"
	queryColumnId : 组合查询需要查询的列ID
	queryConfig : 是否使用内置的查询配置功能，该功能依赖于组合查询引擎 , 默认 false
	queryId : 组合查询ID
	alwaysQuery : 是否每次都执行查询总行数SQL语句 ， 默认值：false (获取总行数据SQL语句只执行一次，在后续的分页操作中不执行)
	dehight 默认减去的高度，默认值29
	dbclick 列表双击事件 , 默认值为空
 -->
<#import "/com/edge/component/core/web/views/controls/ajax/_jquery_ajax.ftl" as con_ajax >
<#macro dh_table 
		listId 
		formId=""
		listAction="" 
		limit=20 
		height="400px" 
		width="100%" 
		showPagebar=true 
		columnTitle="" 
		columnWidth="" 
		columnAlign=""
		columnType="" 
		columnSorting="" 
		autoQuery=true 
		querySuccess=""
		columnDataId="" 
		autoHeight=true 
		style="background-color:white;overflow:hidden;margin:0px" 
		build="false"
		showProcessBar="false"
		allCheckEvent ="" 
		percentWidth=true
		loadSuccess=""
		buttonbar="" 
		queryColumnId = "" 
		queryConfig = false
		queryId = "" 
		alwaysQuery="false"
		dehight="29"
		dbclick=""
	>
	
	<@compress single_line=false>
	<#assign page_js="1">
	<#-- 定义分页列表容器 -->
	<div id="${listId}_div" width="${width}" height="${height}" style="${style}"></div>
	
	<#-- 分页栏定义 -->
	<#if showPagebar == true >
		<div id="pageA" >
		  <#-- 查询配置按钮 -->
		  <div class="button_pa">
		  	<#-- 是否采用内置按钮  -->
		  	<#if queryConfig >
		  		<a class='pagebnt' href='javascript:${listId}_selectColumn();' ><em class='ico_cogEdit'></em></a><span id='gex'></span>
		  		<a class='pagebnt' href='javascript:${listId}_exportXls();' ><em class='ico_excel'></em></a><span id='gex'></span>
		  	</#if>
		  </div>
		 
		  <#-- 查询分页区 -->
		  <div class="left_pa">
		    <a id="${listId}_page_first" class="pagebnt"><em class="ico_first_pa"></em></a>
		    <span id="gex"></span>
			<a id="${listId}_page_pre" class="pagebnt"><em class="ico_pre_pa"></em></a>
  			<span id="gex"></span>
  			<a id="${listId}_page_next" class="pagebnt"><em class="ico_next_pa"></em></a>
  			<span id="gex"></span>
 			<a id="${listId}_page_last" class="pagebnt"><em class="ico_last_pa"></em></a>
		    <span id="${listId}currentPage">0</span>
			<span>&nbsp;/&nbsp;</span>
	 		<span id="${listId}pageCount">0</span>
	 		<span>&nbsp;页,每页</span>
	 		<input id="${listId}limit" type="text" size="3" maxlength="3" value="20" value="${limit}" >
	 		<span>条</span>
	 		<span id="gex"></span>
	 		<a id="${listId}_page_goto" class="pagebnt"><em class="ico_refresh_pa"></em></a>
	 		<span id="gex"></span>
	 		<span>共查询到&nbsp; </span>
	 		<span id="${listId}rowCount">0</span>
	 		<span>&nbsp;条记录&nbsp;</span>
		  </div>  
	     </div>
    </#if>
    
	<#-- 分页脚本 -->
	<script type="text/javascript">
		<#-- 分页列表对象  -->
		var ${listId}_grid ;
		<#-- 分页列表数据模型  -->
		var ${listId}_grid_model = {"listId":"${listId}","alwaysQuery":"${alwaysQuery}","queryEngineId":"${queryId}","build":"${build}","rowCount":0,"pageCount":0,"postStart":0,"currentPage":1,"option":"first","columnTitles":"${columnTitle}","columnWidth":"${columnWidth}","columnType":"${columnType}","columnAlign":"${columnAlign}","columnDataId":"${columnDataId}","columnSorting":"${columnSorting}","limit":${limit},"queryColumnId":"${queryColumnId}"} ;
		<#-- 所有AJAX请求返回的数据模型 -->
		var ${listId}_data ;
		
		<#-- 是否有CHECKBOX列 -->
		var ${listId}_grid_hasCheckBox = false ;
			
		$(document).ready(function() { 
    		<#-- 列表构造  -->
    		${listId}_grid = ${listId}_build("${columnTitle}","${columnWidth}","${columnAlign}","${columnType}","${columnSorting}" );
    		${listId}_grid.init();
    		<#-- 注册分页事件  -->
    		$("#${listId}_page_first").click(function(){
    			${listId}_loadListData("first");
    		});
    		$("#${listId}_page_pre").click(function(){
    			${listId}_loadListData("pre");
    		});
    		$("#${listId}_page_next").click(function(){
    			${listId}_loadListData("next");
    		});
    		$("#${listId}_page_last").click(function(){
    			${listId}_loadListData("last");
    		});
    		
    		$("#${listId}_page_goto").click(function(){
    			<#-- 设置limit -->
    			var rowlimit = $("#${listId}limit").val() ;
    			if (rowlimit.match(/^[0-9]*$/) && rowlimit)
    			{
    				${listId}_grid_model.limit = rowlimit ;
    				${listId}_loadListData();
    			}
    			else
    			{
    				alert("请输入数字");
    				$("#${listId}limit").select();
    			}
    			
    		});
    		
    		<#if dbclick !="" >
    			$("#${listId}_div table[class='obj row20px']").dblclick(function(){
					${dbclick}(${listId}_grid.getSelectedId());
				});
    		</#if>
    		
    		<#-- 自动设置列表高度  -->
    		<#if autoHeight >
    			<#if showPagebar == true >$("#${listId}_div").height($(window).height()-$("#${listId}_div").offset().top - ${dehight} );</#if>
    			<#if showPagebar == false >$("#${listId}_div").height($(window).height()-$("#${listId}_div").offset().top - 5 );</#if>
  			</#if>
  			
  			<#-- 动态增加工具条  -->
  			<#if buttonbar != "" >
  				var btnbar = ${buttonbar};
  				for( i=0 ; i < btnbar.length ; i++ )
  				{
  					var element = "<a class='pagebnt' href='javascript:"+btnbar[i].onclick+"' ><em class='"+btnbar[i].icon+"'></em></a><span id='gex'></span> " ; 
  					$(".button_pa").append(element);
  				}
  			</#if>
  					
  			<#nested>
		}); 
		
		<#-- 定义数据处理 -->
		<@con_ajax.ajax method="${listId}_post_loadListData()" data="${listId}_getmodeldata()" autoexec=autoQuery url=listAction form=formId showProcessBar=showProcessBar >
			<#-- 数据装载成功 -->
			<@con_ajax.ajax_success>
				<#-- 绑定列表数据  -->
				${listId}_grid_model = data.${listId} ;
				${listId}_data = data ;
				
				<#-- 重新构造列 -->
				if( ${listId}_grid_model.build == true )
				{
					${listId}_grid = ${listId}_build(${listId}_grid_model.columnTitles,${listId}_grid_model.columnWidth , ${listId}_grid_model.columnAlign , ${listId}_grid_model.columnType , ${listId}_grid_model.columnSorting);
					${listId}_grid.init();
				}
				<#-- 清空旧数据 -->
				${listId}_grid.clearAll(false);
				<#-- 解析新数据  -->
				if(${listId}_grid_model.rows != null)
				{
					${listId}_grid.parse( ${listId}_grid_model , "json");
				}
				<#-- 执行列表数据装载成功后的回调函数 -->
				<#if loadSuccess != ""> ${loadSuccess}; </#if> 
			</@con_ajax.ajax_success>
			<#-- 数据装载失败 
			<@con_ajax.ajax_error>
				alert("数据装载失败");
			</@con_ajax.ajax_error>
			 -->
			<#-- 分页信息数据绑定  -->
			<@con_ajax.ajax_banding entity="${listId}" data="data.${listId}" />
		
		</@con_ajax.ajax>
		
		<#-- 执行查询操作 -->
		function ${listId}_loadListData( option )
		{
			<#-- 第一次查询  -->
			if(option == "undefined" || option == null)
			{
				${listId}_grid_model.option = "first" ;
				${listId}_grid_model.rowCount = 0 ;
				${listId}_grid_model.currentPage = 1 ;
			}
			else <#-- 执行分页操作 -->
			{
				${listId}_grid_model.option = option ;
			}
			${listId}_post_loadListData();
		}
		
		<#-- 构造列表组件 -->
		function ${listId}_build(columnTitle , columnWidth , columnAlign , columnType , columnSorting )
		{
			if( ${listId}_grid != null) ${listId}_grid.destructor();
			var _grid = new dhtmlXGridObject("${listId}_div");
			_grid.setImagePath("${ctx}/resources/js/dhtmlx/dhtmlxGrid/imgs/");
        	_grid.setSkin("dhx_skyblue") ;
        	if(columnTitle !=undefined) _grid.setHeader(${listId}_initColumnTitle(columnTitle,columnType));
        	<#if percentWidth == true> 
        		if(columnWidth !=undefined) _grid.setInitWidthsP(columnWidth); 
        	<#else>
        		if(columnWidth !=undefined) _grid.setInitWidths(columnWidth); 
        	</#if>
        	
        	if(columnAlign !=undefined) _grid.setColAlign(columnAlign)
        	if(columnType !=undefined) _grid.setColTypes(columnType);
        	if(columnSorting !=undefined) _grid.setColSorting(columnSorting);
        	_grid.enableLightMouseNavigation(false);
      		
      		_grid.enableMultiselect(true);
      		<#-- 当列表包含CHECKBOX时候才注册这两个事件  _grid.enableSmartRendering(true, 50);  -->
      		if(${listId}_grid_hasCheckBox == true )
      		{
      			_grid.attachEvent("onCheck", ${listId}_checkboxEvent); 
      			_grid.attachEvent("onRowSelect", ${listId}_flash_row_select); 
      		}
      		
      		<#-- 自动设置列表高度  -->
    		<#if autoHeight >
    			<#if showPagebar == true >$("#${listId}_div").height($(window).height()-$("#${listId}_div").offset().top - 28 );</#if>
    			<#if showPagebar == false >$("#${listId}_div").height($(window).height()-$("#${listId}_div").offset().top - 5 );</#if>
  			</#if>
      		
      		return _grid ;
		}
		
		<#-- checkbox选择事件 , 设置行高亮显示并记录已经选择的行ID -->
		function ${listId}_checkboxEvent( rId,cInd,state )
		{
			<#-- 刷行行选择状态 -->
			${listId}_flash_row_select();
		}
		<#-- 根据CHECKBXO列表选择的行ID设置行高亮 -->
		function ${listId}_flash_row_select()
		{
			${listId}_grid.clearSelection();
			var checkIds = ${listId}_grid.getCheckedRows(0) ;
			if( checkIds == "" || checkIds == undefined ) return ;
			$.each( ${listId}_grid.getCheckedRows(0).split(",") , function(i, n){
  				${listId}_grid.selectRowById(n, true, false ,false);
			});
		}
		
		<#-- 获取列表模型数据 -->
		function ${listId}_getmodeldata()
		{	
			<#-- 提交JSON对象时候 需要把ROWS对象清除-->
			delete ${listId}_grid_model.rows ;
			return  jQuery.param(${listId}_grid_model) ;
		}
		
		<#-- 初始化列表标题,如果第一列为checkbox列重新设置列表设置全选按钮  -->
		function ${listId}_initColumnTitle( titles , types )
		{
			<#-- 如果第一列为checkbox列则增加全选按钮 -->
			if(types.split(",")[0] == "ch")
			{
				${listId}_grid_hasCheckBox = true ;
				var firstTitle = titles.split(",")[0];
				var newtitle = firstTitle + "<input type='checkbox' style='margin-top:0px;padding-left:4px;padding-right:4px;text-align:left;white-space:nowrap' onclick='${listId}_selectAll(this)'>";
				return newtitle + titles.replace(firstTitle,"");
			}
			else
			{
				${listId}_grid_hasCheckBox = false ;
				return titles ;
			}
		}
		
		<#-- 全选处理 -->
		function ${listId}_selectAll(obj)
		{
			if(obj.checked)
			{
				${listId}_grid.checkAll(true);
				${listId}_grid.selectAll();
			}
			else
			{
				${listId}_grid.checkAll(false);
				${listId}_grid.clearSelection();
			}
			<#-- 执行全选扩展事件 -->
			<#if allCheckEvent != "" > ${allCheckEvent} ; </#if>
		}
		
		<#-- 获取选中行的数据
			index : 数据模型中的数据索引
		 -->
		function ${listId}_getSelectedRowData( index )
		{
			var id = ${listId}_grid.getSelectedRowId();
			if( id == null || id == "") return "" ;
			var ids = id.split(",");
			var selIdArray = [] ;
			for(i=0 ; i<ids.length ; i++)
			{
				var rowIndex = ids[i].replace("id","");			
				selIdArray.push($.trim(${listId}_grid_model.rows[rowIndex].data[index])) ;
			}
			return selIdArray.join(",");
		}	
		<#-- 列表查询引擎扩展   -->
		<#if queryConfig >
			<#-- 定义窗口组用于打开组合查询选择列  -->
			<@con_window.dh_window dhwin="${listId}_mywindow" >
			    <#-- 打开查询指标选择窗口  -->
			    <@con_window.window_def method="${listId}_selectColumn()" showhead=false modal=true name="${listId}_colwin" title="查询指标选择"  >
	    				${listId}_colwin.attachURL("${ctx}/query/gridextendPopcolumnSelectIndex/${listId}/" + ${listId}_grid_model.queryEngineId );
	    		</@con_window.window_def>
	    			
	   			 <#-- 关闭窗口 -->
			    function ${listId}_closeWindow()
			    {
			      if(${listId}_mywindow.window("${listId}_colwin") != null) ${listId}_mywindow.window("${listId}_colwin").close();
			    }
	    
			</@con_window.dh_window>
			
			<#-- 导出XLS数据   -->
			function ${listId}_exportXls()
			{
				if("${formId}" == "")
				{
					alert("提交的表单为空");
					return ;
				}
				
				<#-- 如果不存在隐藏域增加隐藏域，提交分页信息对象  -->
				if($("#_${listId}_grid_list_mode_id").length == 0 )
				{
					$("#${formId}").append("<input type='hidden' id='_${listId}_grid_list_mode_id' name='_grid_list_mode' >");
				}
				<#-- 设置分页列表模型值 --->
				delete ${listId}_grid_model.rows ;
				$("#_${listId}_grid_list_mode_id").val(JSON.stringify(${listId}_grid_model));
				<#-- 设置表单属性  $("#${formId}").attr("target","_blank");  -->
				
				__show();
				$("#${formId}").attr("action","${ctx}/query/gridextendXls");
				$("#${formId}").attr("method","post"); 
				$("#${formId}").submit();
			}
			
		</#if>
		
	   </script>
	</@compress>
</#macro>