<#-- 
	描述：window 控件标签
	作者：gaolk 
	版本：v2.0 
	日期: 2011年06月26日 
-->

<#--
	dhwin: window 对象名称,用来创建窗口对象
-->

<#-- dh_window  使用例子
	
	<@con_window.dh_window dhwin="mywindow" >
		<@con_window.window_def method="openUserWin()" name="userwin" title="用户编辑窗口" url="/user/edit" />
	    <@con_window.window_def method="openDeptWin()" modal=true name="deptwin" title="模式窗口" url="/dept/show" />
	    <@con_window.window_def method="openfullscreenWin()" modal=true name="fullscreen" fullscreen=true title="最大窗口" url="/dept/show" />
	    <@con_window.window_def method="opencusDefWin(title , url )" modal=true name="cusdefwin" >
	    	cusdefwin.setText(title); //外部传入参数
	    	cusdefwin.setUrl(url);
	    </@con_window.window_def>
	</@con_window.dh_window>

-->

<#include "/com/edge/component/core/web/views/controls/window/_default_process_window.ftl" >

<#macro dh_window dhwin="dhwin" >
	<#assign page_js="1">
	<#assign dhtml_window = dhwin >
	<@compress single_line=true>
			var ${dhwin} ;
			
			$(document).ready(function () {
  				 ${dhwin} = new dhtmlXWindows();
  				 ${dhwin}.setImagePath("${ctx}/resources/js/dhtmlx/dhtmlxWindows/imgs/");
  				
			});
			
			<#-- 构造窗口函数   ${dhwin}.enableAutoViewport(true); (该方法会引起控件不能编辑的原因) -->
			function ${dhwin}__newWindow( winName , width , height)
			{
				var __win = ${dhwin}.window(winName) ;
				<#-- 如果为空则创建新窗口 -->
				if( __win == null)
				{	
				  	__win = ${dhwin}.createWindow(winName, 100, 100, width, height);
				}
				<#-- 把窗口移到最前端 -->
				__win.bringToTop();
				return __win ;
			}
			<#nested>
	</@compress>
</#macro>


<#-- 
	窗口定义 
 	
 	method : 打开窗口的js 函数名称
 	name : 窗口名称
 	title : 窗口标题
 	url : 窗口打开URL地址
 	width : 窗口宽  , 默认值 500
 	height : 窗口高  , 默认值 300
 	max : 是否显示最大按钮 ， 默认false 
 	min : 是否显示最小按钮 ， 默认 false 
 	modal : 是否模态窗口 ， 默认 false 
    showhead : 是否显示标题，默认 true
    fullscreen : 窗口是否最大化 默认 false 
    center : 窗口是否居中 默认 true
    objectId : 需要显示的HTML页面元素ID
 -->
<#macro window_def method name title="" url="" width="500" height="300" max=false min=false modal=false showhead=true fullscreen=false center=true objectId="" >
	 
	  function ${method}
	  {
	  	 var ${name} = ${dhtml_window}__newWindow( "${name}" , ${width} , ${height} );
	  	 ${name}.button("park").hide();
	  	 
	  	 <#if center==true > ${name}.centerOnScreen();</#if>
	  	 <#if showhead==false > ${name}.hideHeader();</#if>
	  	 <#if fullscreen==true >${name}.maximize();</#if>
	  	 <#if title != "" > ${name}.setText("${title}"); </#if>
	  	 <#if url != ""> ${name}.attachURL("${url}"); </#if>
	  	 <#if max == false > ${name}.button("minmax1").hide() ; </#if>
	  	 <#if min == false > ${name}.button("minmax2").hide() ; </#if>
		 <#if modal == true> ${name}.setModal(true); </#if>
		 <#if objectId != ""> ${name}.appendObject("${objectId}"); </#if>
	  	 <#nested>
	  }
	  
</#macro>

