
<#-- 
	
	 控件引入标记
	
	gaolk
 
-->
<#import "/com/edge/web/views/page/controls/date/_date.ftl" as con_date >
<#import "/com/edge/web/views/page/controls/layout/_layout.ftl" as con_layout >
<#import "/com/edge/web/views/page/controls/table/_table.ftl" as con_table >
<#import "/com/edge/web/views/page/controls/window/_window.ftl" as con_window >
<#import "/com/edge/web/views/page/controls/ajax/_jquery_ajax.ftl" as con_ajax >

<#-- 定义全局变量 -->
<#global ctx="${webRoot}" />

<#-- 导入CSS , js 文件 -->
<#macro import_js_css>
	
	<#compress>
	
	<#-- 注册JS , CSS 资源文件 -->
	
	
	<#-- AJAX -->
	<#if (con_ajax.page_js)?? && con_ajax.page_js == "1" >
		<#assign js_libs_ajax =["/jquery/json2.js","/jquery/jsonselect.min.js"] />
	</#if>
	
	<#-- WINDOW -->
	<#if (con_window.page_js)?? && con_window.page_js == "1" >
		<#assign js_libs_window =["/dhtmlx/dhtmlxWindows/dhtmlxwindows.js","/dhtmlx/dhtmlxWindows/dhtmlxcontainer.js","/jquery/jquery.js","/dhtmlx/dhtmlxcommon.js"] />
		<#assign css_libs_window = ["/dhtmlx/dhtmlxWindows/dhtmlxwindows.css","/dhtmlx/dhtmlxWindows/skins/dhtmlxwindows_dhx_skyblue.css"] />
	</#if>

	<#-- LAYOUT -->
	<#if (con_layout.page_js)?? && con_layout.page_js == "1" >
		<#assign js_libs_layout =["/dhtmlx/dhtmlxLayout/dhtmlxlayout.js","/dhtmlx/dhtmlxLayout/dhtmlxcontainer.js","/jquery/jquery.js","/dhtmlx/dhtmlxcommon.js"] />
		<#assign css_libs_layout = ["/dhtmlx/dhtmlxLayout/dhtmlxlayout.css","/dhtmlx/dhtmlxLayout/skins/dhtmlxlayout_dhx_skyblue.css"] />
	</#if>

	<#assign js_libs = removeDoubleElement("js_libs_window","js_libs_layout") />
	<#assign css_libs = removeDoubleElement("css_libs_window","css_libs_layout") />
	
	<#-- 在HTML中导入JS文件 -->
	
	<#list css_libs as css >
		<link rel="stylesheet" type="text/css" href="${ctx}/resources/js${css}">
	</#list>
	
	<#list js_libs as js >
		<script src="${ctx}/resources/js${js}" type="text/javascript" ></script>
	</#list>

	</#compress>
</#macro>