package com.sankuai.sjst.platform.developer.request;

import com.sankuai.sjst.platform.developer.domain.RequestDomain;
import com.sankuai.sjst.platform.developer.domain.RequestMethod;

import java.util.HashMap;
import java.util.Map;

/**
 * Created by cuibaosen on 16/8/17.
 */
public class CipCaterTakeoutOrderDispatchRequest extends CipCaterStringPairRequest {
    private Long orderId;

    public CipCaterTakeoutOrderDispatchRequest() {
        this.url = RequestDomain.preUrl.getValue() + "/waimai/order/dispatchShip";
        this.requestMethod = RequestMethod.POST;
    }

    @Override
    public Map<String, String> getParams() {
        return new HashMap<String, String>() {{
            put("orderId", orderId.toString());
        }};
    }

    @Override
    public boolean paramsAbsent() {
        return orderId == null;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }
}
