<#include "/com/edge/component/core/web/views/controls/_controls.ftl" >
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" > 
	<#-- head 定义 -->
	<head>
		<script src="${ctx}/resources/js/jquery/jquery.js" type="text/javascript" ></script>
		<script src="${ctx}/resources/js/jquery/json2.js" type="text/javascript" ></script>
		<link href="${ctx}/resources/css/css.css" rel="stylesheet" type="text/css" />
		<#if head?? >
			<@head/>
		</#if>
	</head>
	<#-- 提交提示窗口定义 -->
	<@con_window.default_process_window />
	<#-- body 定义  -->
	<#if body?? >
		<body >
			<@body/>
		</body>
	</#if>
	
	<#-- 不会出现滚动条  body -->
	<#if popbody?? >
		<body scroll="no" style="overflow: hidden;" class="pop_body" >
		<@popbody/>
		</body>
	</#if>
	
	<#-- 不会出现滚动条  body -->
	<#if spopbody?? >
		<body class="pop_body" >
			<@spopbody/>
		</body>
	</#if>
	
	<#-- 自定义body -->
	<#if cbody?? >
		<@cbody/>
	</#if>
	
	<#if javascript ??>
		<script language="javascript">
			<@javascript />
		</script>
	</#if>
	
	<@import_js_css/>
	
	<#-- 零时项目CSS 这里为了保证样式加载了两次 以后需要重新设计 <link href="${ctx}/resources/css/css.css" rel="stylesheet" type="text/css" /> -->
	<link href="${ctx}/resources/css/css.css" rel="stylesheet" type="text/css" />
	<#-- 页脚定义 -->
	<#if bottom?? >
		<@bottom/>
	</#if> 
	
</html>




