<#-- 
	描述：默认AJAX处理提示信息
	作者：gaolk 
	版本：v2.0 
	日期: 2011年06月26日 
-->
<#macro default_process_window >
	<@compress single_line=true>
	<style> 
		#_facebox_box {
			display:none; 
			width:400px;
			border:10px solid #666; 
			border:10px solid rgba(82, 82, 82, 0.698); 
			-moz-border-radius:8px;
			-webkit-border-radius:8px;
		}
	 
		#_facebox_box div {
			padding:10px;
			border:1px solid #3B5998;
			background-color:#fff;
			font-family:"lucida grande",tahoma,verdana,arial,sans-serif
		}
	 
		#_facebox_box h2 {
			margin:-11px;
			margin-bottom:0px;
			color:#fff;
			background-color:#6D84B4;
			padding:5px 10px;
			border:1px solid #3B5998;
			font-size:20px;
		}
	</style> 
	<script language="javascript">
		<#-- 定义OVERLAY对象 -->
		$(document).ready(function() {
			$("#_facebox_box").overlay({
				top: '45%',
				mask: {
					color: '#fff',
					loadSpeed: 200,
					opacity: 0.5
				},
				closeOnClick: true,
				load: false 
			});
		});
		<#-- 打开显示窗口 -->
		function __show()
		{
			$("#_facebox_box").data("overlay").load();
		}
		<#-- 关闭显示窗口 -->
		function __close()
		{
			$("#_facebox_box").data("overlay").close();
		}
	</script>
	<div id='_facebox_box' style="display: none;"><div>正在处理.....</div></div>
	</@compress>
</#macro>


