package com.sankuai.sjst.platform.developer.request;

import com.sankuai.sjst.platform.developer.domain.RequestDomain;
import com.sankuai.sjst.platform.developer.domain.RequestMethod;

import java.util.HashMap;
import java.util.Map;

/**
 * Created by cuibaosen on 16/8/17.
 */
public class CipCaterQuickrabateOrderQueryByIdRequest extends CipCaterStringPairRequest {
    private String orderId;

    public CipCaterQuickrabateOrderQueryByIdRequest() {
        this.url = RequestDomain.preUrl.getValue() + "/shanhui/order/queryById";
        this.requestMethod = RequestMethod.GET;
    }

    @Override
    public Map<String, String> getParams() {
        return new HashMap<String, String>() {{
            put("orderId", orderId);
        }};
    }

    @Override
    public boolean paramsAbsent() {
        return orderId == null || orderId.trim().isEmpty();
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }
}
